.action-button {
  position: fixed;
  right: calc(25px + 30vw);
  bottom: 25px;
  width: 64px;
  height: 64px;
  z-index: 100;
  border-radius: 32px;
  @include mq-down(md) {
    right: 25px;
    bottom: 89px;
  };
  &__button {
    width: 100%;
    height: 100%;
    padding: 12px;
    border-radius: 32px;
    position: relative;
    @include themify($themes) {
      transition: all 0.3s ease-in-out;
      background: themed('main');
      box-shadow: 0px 0px 4px 4px themed('shadow');
    }
    @include svg-set() {
      @include themify($themes) {
        transition: all 0.3s ease-in-out;
        stroke: themed('background') !important;
        fill: themed('background') !important;
      }
    }
    &-icon {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translateY(-50%) translateX(-50%);
    }
    &:hover {
      @include themify($themes) {
        transition: all 0.3s ease-in-out;
        background: lighten(themed('main'), 20%);
      }
      @include svg-set() {
        @include themify($themes) {
          transition: all 0.3s ease-in-out;
          stroke: themed('background') !important;
          fill: themed('background') !important;
        }
      }
    }
  }
}
